Bug 1121322

Summary: SELinux is preventing /usr/bin/wget from 'associate' accesses on the filesystem .
Product: [Fedora] Fedora Reporter: Skyadrum <mmcready07>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: autarch, dominick.grift, dwalsh, edosurina, eparis, lvrabec, marquessbr, mgrepl, pietrocordioli3, pmoore, sivlemx
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:09af6c7069b81d8c1210e93e3bc52d7cb6fc7523fa5b1b855b39490f39abe6e9
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 21:38:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Skyadrum 2014-07-19 06:20:31 UTC
Description of problem:
SELinux is preventing /usr/bin/wget from 'associate' accesses on the filesystem .

*****  Plugin filesystem_associate (99.5 confidence) suggests   **************

If cree que wget debería permitir crear archivos 
Then necesita utilizar un comando diferente. No tiene permitido preservar el contexto SELinux en el sistema de archivos elegido.
Do
utilice un comando como "cp -p" para preservar todos los permisos excepto el contexto SELinux.    

*****  Plugin catchall (1.49 confidence) suggests   **************************

If cree que de manera predeterminada, wget debería permitir acceso associate sobre   filesystem.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep wget /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:object_r:unlabeled_t:s0
Target Context                system_u:object_r:tmpfs_t:s0
Target Objects                 [ filesystem ]
Source                        wget
Source Path                   /usr/bin/wget
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           wget-1.14-12.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-176.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.15.5-200.fc20.x86_64 #1 SMP Mon
                              Jul 14 15:40:08 UTC 2014 x86_64 x86_64
Alert Count                   2
First Seen                    2014-07-19 01:08:44 CDT
Last Seen                     2014-07-19 01:19:05 CDT
Local ID                      f5ea64e7-7174-4f71-bb29-f059a834d3ec

Raw Audit Messages
type=AVC msg=audit(1405750745.537:388): avc:  denied  { associate } for  pid=2330 comm="wget" name="fedy.atom" scontext=unconfined_u:object_r:unlabeled_t:s0 tcontext=system_u:object_r:tmpfs_t:s0 tclass=filesystem


type=SYSCALL msg=audit(1405750745.537:388): arch=x86_64 syscall=open success=yes exit=ESRCH a0=754f90 a1=241 a2=1b6 a3=0 items=0 ppid=2218 pid=2330 auid=1000 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=1 comm=wget exe=/usr/bin/wget subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)

Hash: wget,unlabeled_t,tmpfs_t,filesystem,associate

Additional info:
reporter:       libreport-2.2.2
hashmarkername: setroubleshoot
kernel:         3.15.5-200.fc20.x86_64
type:           libreport

Comment 1 Daniel Walsh 2014-08-06 22:51:37 UTC
Were you coping the files locally using wget?

Comment 2 Armando Marques Sobrinho 2014-09-01 15:40:18 UTC
Description of problem:
this problem has occured when I try to use fedy on fedora 20 with MATE desktop

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.15.10-201.fc20.x86_64
type:           libreport

Comment 3 Daniel Walsh 2014-09-03 10:20:30 UTC
This is very strange.  If wget is copying a file from the network, how is it getting unlabeled_t?

Comment 4 Fedora End Of Life 2015-05-29 12:24:48 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 21:38:59 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.